# Uses of Enum Class
org.apache.sysds.hops.fedplanner.FTypes.Privacy

Packages that use FTypes.Privacy
Package
Description
org.apache.sysds.hops.fedplanner

## Uses of FTypes.Privacy in org.apache.sysds.hops.fedplanner

Methods in org.apache.sysds.hops.fedplanner that return FTypes.Privacy
Modifier and Type
Method
Description
`static FTypes.Privacy`
FTypes.Privacy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FTypes.Privacy[]`
FTypes.Privacy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Method parameters in org.apache.sysds.hops.fedplanner with type arguments of type FTypes.Privacy
Modifier and Type
Method
Description
`static void`
FederatedPlannerLogger.`logDetailedHopInfo(Hop hop, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, String logPrefix)`
Logs detailed hop information with dimension and data type
`static void`
FederatedPlannerLogger.`logHopInfo(Hop hop, Map<Long,FTypes.Privacy> privacyConstraintMap, Map<Long,FTypes.FType> fTypeMap, String logPrefix)`
Logs hop information including name, hop ID, child hop IDs, privacy constraint, and ftype